## cdd 0.3.1

=== debian/changelog ===
cdd (0.3.1) unstable; urgency=low

  * Do not change ${HOME}/.menu any more as it was done in 0.3
    Thanks to Cosimo Alfarano <kalfa@debian.org>
  * Provide man page for cdd.conf
  * Added newline at end of examples/common/control
    Closes: #251889

 -- Andreas Tille <tille@debian.org>  Mon, 31 May 2004 22:45:56 +0200

cdd (0.3) unstable; urgency=low

  * Cosimo Alfarano <kalfa@debian.org> did some major rewriting
    to make the scripts much more flexible (many thanks to Cosimo).
  * cdd-inst-helper now adds versioned med-common dependency if menu
    is created by this package.
  * templates/post{inst,rm} feature user menu creation if variable
    UPDATEUSERMENU is set to "yes"

 -- Andreas Tille <tille@debian.org>  Tue, 13 Apr 2004 21:51:01 +0200

cdd (0.2) unstable; urgency=low

  * Initial release of this package which contains code from several
    packages but should be of common use now.
    Closes: #240243
  * Renamed med-common-dev to cdd-dev because it is intended to work
    for all Custom Debian Distributions now.
  * Renamed med-common to cdd-common.
    (old changelog is available in changelog.med-common.
  * Adopted gen-control from debian-edu-0.768

 -- Andreas Tille <tille@debian.org>  Tue, 23 Mar 2004 18:41:20 +0100

med-common-dev (0.1-5) unstable; urgency=low

  * Standards-Version: 3.6.1.0
  * Fixed typo in debian/control
    closes: #221212
    While I think that also spelling bugs should be reported and fixed
    I really wonder why people set the priority of those bugs to
    "normal" instead of "wishlist".

 -- Andreas Tille <tille@debian.org>  Tue, 18 Nov 2003 08:58:14 +0100

med-common-dev (0.1-4) unstable; urgency=low

  * really installed the examples to /usr/share/doc/med-common-dev/examples

 -- Andreas Tille <tille@debian.org>  Mon,  9 Sep 2002 22:19:53 +0200

med-common-dev (0.1-3) unstable; urgency=low

  * fixes a really stupid bug in med_install_helper

 -- Andreas Tille <tille@debian.org>  Wed, 26 Jun 2002 21:06:11 +0200

med-common-dev (0.1-2) unstable; urgency=low

  * med_install_helper script now cares for an /etc/med/menu
    directory if it was not builded in debian/rules and prints out
    a warning if no menu is provided

 -- Andreas Tille <tille@debian.org>  Wed, 26 Jun 2002 15:59:26 +0200

med-common-dev (0.1-1) unstable; urgency=low

  * Initial release
    closes: #150938

 -- Andreas Tille <tille@debian.org>  Mon, 24 Jun 2002 17:19:38 +0200

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for cdd-dev 
# This file is public domain software, originally written by Andreas Tille.

# $Id: rules,v 1.4 2004/04/15 21:53:37 kalfa Exp $

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build: build-stamp
build-stamp:
	dh_testdir

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_install

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_link
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch: build install
# We have nothing to do by default.

dist:
	distdir=cdd-`cat VERSION` ; \
	rm -rf $${distdir} ; \
	mkdir $${distdir} ; \
	chmod 777 $${distdir} ; \
	rsync -a --exclude $${distdir} --exclude CVS * $${distdir} ; \
	GZIP=-9 tar -czf ../cdd_`cat VERSION`.tar.gz $${distdir} ; \
	rm -rf $${distdir}

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

=== examples/debian/rules ===
#!/usr/bin/make -f
# debian/rules for Debian-_CDD_.
# GNU copyright 2004 _CDD_Maintainer, GPL.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

control: gen-control debian/control.stub tasks/* control-stamp
control-stamp:
	rm -f debian/control
	cdd-gen-control -s local -c -m -i

	touch control-stamp

build: control-stamp build-stamp
build-stamp:
	dh_testdir

	touch build-stamp

clean: debian/control
	dh_testdir
	dh_testroot
	rm -f build-stamp control-stamp
	rm -rf tmp
	rm -f tasks/*~
	[ -d menu ] && rm -f debian/_CDD_-*.post{inst,rm}
	rm -f debian/med-common.{templates,config}
	rm -rf debian/po

	if [ -f debian/control ] ; then dh_clean ; fi
	rm -f debian/control
	ln -s control.stub debian/control


install: control-stamp build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
	dh_installcron
	dh_installman
	cdd-install-helper
	dh_installdebconf
#	dh_installinfo
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## cdd 0.4.4ubuntu1

=== devtools/Makefile ===
#!/usr/bin/make -f

# This Makefile is used to build a debian/control file
# for a Custom Debian Distribution.
#
# Copyright (C) Andreas Tille <tille@debian.org>
# License: GPL

# TARGET_DIST is one of stable, sarge, etch, unstable, or any other available
# sources.list file available
TARGET_DIST := $(shell head -1 debian/changelog |awk '{print $$3}'|tr -d ';')
CDD := $(shell /usr/share/cdd-dev/cdd-get-names cddname)
GENCONTROL := /usr/share/cdd-dev/cdd-gen-control

# Verify whether config/control exists, if yes, add it to the depends of debian/control
CONFIGCONTROL := $(shell if [ -d config -a -e config/control ] ; then echo config/control; fi)

all: $(CDD)-tasks.desc debian/control

debian/control: debian/control.stub debian/changelog tasks/* $(CONFIGCONTROL)
	(cat debian/control.stub; \
	 test -f config/control && ( cat config/control; echo ) ; \
	$(GENCONTROL) -s $(TARGET_DIST) -D -c -m -i -A) > $@.new && mv $@.new $@

tasksel: $(CDD)-tasks.desc
$(CDD)-tasks.desc: tasks/* debian/changelog
	$(GENCONTROL) -s $(TARGET_DIST) -t -A > $(CDD)-tasks.desc.new && mv $(CDD)-tasks.desc.new $(CDD)-tasks.desc

packages.txt: tasks/*
	$(GENCONTROL) -s $(TARGET_DIST) -a > packages.txt.$$$$ && mv packages.txt.$$$$ packages.txt

avoidpackages.txt: tasks/* sources.list.$(TARGET_DIST)
	$(GENCONTROL) -s $(TARGET_DIST) -e > avoidpackages.txt.$$$$ && mv avoidpackages.txt.$$$$ avoidpackages.txt

by_vote:
	rm -f by_vote
	wget http://developer.skolelinux.no/popcon/by_vote

packages-sorted.txt: packages.txt by_vote
	for pkg in `cat packages.txt` ; do \
		grep " $$pkg " by_vote ; \
	done | LANG=C sort -r -n -k 4 -k 3 > packages-sorted.txt
usage: packages-sorted.txt

clean: 
	rm -rf tmp
	rm -f tasks/*~
	rm -rf tasksel
	rm -f packages.txt by_vote packages-sorted.txt

=== doc/Makefile ===
## ----------------------------------------------------------------------
## Makefile : makefile for debiandoc-sgml-doc
## ----------------------------------------------------------------------

## ----------------------------------------------------------------------
## Document definitions
doc_lang	:= en
doc_name	:= debian-cdd
doc_sgml	:= $(doc_name).$(doc_lang).sgml
doc_pdf		:= $(doc_name).$(doc_lang).pdf
doc_ps		:= $(doc_name).$(doc_lang).ps
doc_dvi		:= $(doc_name).$(doc_lang).dvi
doc_txt		:= $(doc_name).$(doc_lang).txt
doc_info	:= $(doc_name).$(doc_lang).info
doc_html	:= $(doc_name).html
pkg             := cdd-doc

## ----------------------------------------------------------------------
## Package definitions
pkg_lang	:= en

## ----------------------------------------------------------------------
## General definitions
LN		:= /bin/ln -sf
RMR		:= /bin/rm -fr
LOCALE          := unset LC_ALL; unset LANG; unset LANGUAGE; 

## ----------------------------------------------------------------------
# this can and will be overriden by a higher level makefile
PUBLISHDIR := tille@people.debian.org:public_html/debian-med/talks/paper-cdd

# There is no difference between letter and a4, but a2 for instance works
PAPERSIZE  := letter

## ----------------------------------------------------------------------
## Targets
all:		html

validate: 	$(doc_sgml)
	# nsgmls -ges -wall $(doc_sgml)
		nsgmls -wall -E20 -gues $^

html $(doc_html): $(doc_sgml)
		$(LOCALE) debiandoc2html -l $(doc_lang) -b $(doc_name) -c $^
		$(LN) index.$(pkg_lang).html $(doc_html)/index.html

txt $(doc_txt): $(doc_sgml)
		debiandoc2text -l $(doc_lang) $^

ps $(doc_ps): 	$(doc_sgml)
		debiandoc2latexps  -l $(doc_lang) -p$(PAPERSIZE) $^

pdf $(doc_pdf): $(doc_sgml)
		$(LOCALE) debiandoc2latexpdf -l $(doc_lang) -p$(PAPERSIZE) $^
		$(RMR) $(doc_name).$(doc_lang).tpt

dvi $(doc_dvi): $(doc_sgml)
		debiandoc2latexdvi -l $(doc_lang) -p$(PAPERSIZE) $^
		$(RMR) $(doc_name).$(doc_lang).out

info $(doc_info): $(doc_sgml)
		debiandoc2info -l $(doc_lang) $^

publish: 	$(doc_html)/index.html
		rsync --rsh="ssh -i ${HOME}/.ssh/id_dsa-debian" -azult --delete $(doc_html) $(PUBLISHDIR)
		[ -s debian-cdd.en.pdf ] && rsync --rsh="ssh -i ${HOME}/.ssh/id_dsa-debian" -azult $(doc_pdf) $(PUBLISHDIR)

clean:
		$(RMR) $(doc_html) $(doc_pdf) $(doc_txt) $(doc_ps) $(doc_dvi) $(doc_info)
		$(RMR) $(doc_name).$(doc_lang).tpt $(doc_name).$(doc_lang).out
		find . -name "*~" -exec $(RMR) \{\} \;

dist:
	target=$(pkg)-`cat VERSION` ; \
	mkdir -p $${target} ; \
	rsync -azult Makefile *.sgml en debian --exclude=CVS --exclude=.svn $${target} ; \
	GZIP=-9 tar -czf $(pkg)_`cat VERSION`.tar.gz $${target} ; \
	rm -rf $${target}

distclean:
		make clean
		rm -f $(pkg)_`cat VERSION`.tar.gz

.PHONY: all publish clean distclean validate

## cdd 0.3.4

=== debian/changelog ===
cdd (0.3.4) unstable; urgency=high

  * Fixed common.postinst template which finally fixed bug #259412.
  * Removed contrib non-free and non-US from the templates - we want
    to build packages for main by default, others should be added
    manually by local maintainers.
  * Urgency set to high because it *really* fixes a grave bug.

 -- Andreas Tille <tille@debian.org>  Thu, 15 Jul 2004 10:51:44 +0200

cdd (0.3.3) unstable; urgency=high

  * Remove broken code from templates/postinst to clean up
    ${HOME}/.menu directories.  This code does more harm than
    it would help.
    Closes: #259412
  * Urgency set to high because it fixes a grave bug.

 -- Andreas Tille <tille@debian.org>  Wed, 14 Jul 2004 21:34:55 +0200

cdd (0.3.2) unstable; urgency=low

  * Remove ${HOME}/.menu/cdd-menu in postinst only if ${MENU}/.menu exists
  * Added /etc/apt/apt.conf.d script to #cdd#-common templates to invoke
    cdd-update-usermenus after all meta packages of a CDD were installed
    if requested by a shared debconf variable
  * Use #CDDNAME# variable in debconf templates of cdd-dev.  This variable
    can be set either in common/conf or it is builded by "Debian-Cdd".
  * cdd-install-helper handles CDD-common.{config,template}
  * Usage of get-group-users deprecated, use cdd-tools instead.
    Moved functionality of get-group-users to unixgroups/cdd-actions.
  * Enhanced example directory.
  * Otavio Salvador
    - Add support to Pre-Depends field in cdd-gen-control script.
    - Change the default task prefix from 'education-' to 'test-'.
    - Include code to stop if exist a task with name 'common'.
  * Andre Luis Lopes
    - Added Brazilian Portuguese (pt_BR) cdd-dev debconf template
      translation.

 -- Andreas Tille <tille@debian.org>  Wed,  9 Jun 2004 08:20:26 +0200

=== debian/control ===
Source: cdd
Priority: optional
Section: devel
Maintainer: Andreas Tille <tille@debian.org>
Uploaders: Petter Reinholdtsen <pere@debian.org>, Andreas Tille <tille@debian.org>, Cosimo Alfarano <kalfa@debian.org>
Build-Depends-Indep: debhelper (>= 4.1.16)
Standards-Version: 3.6.1.0

Package: cdd-dev
Architecture: all
Section: devel
Depends: debconf (>= 0.5)
Provides: med-common-dev
Replaces: med-common-dev
Conflicts: med-common-dev
Suggests: cdd-doc
Description: Custom Debian Distributions common files for developing meta packages
 This package makes life easier when packaging meta packages.  Perhaps
 this will also encourage other people to build meta packages if there are
 easy to use templates where only the packages, the meta package is depending
 from, to insert into the right place.

Package: cdd-common
Architecture: all
Section: misc
Depends: adduser, debconf (>= 0.5), menu (>= 2.1.12)
Conflicts: med-common (<= 0.4)
Suggests: cdd-doc
Description: Custom Debian Distributions common package
 This package builds the basic infra structure for meta packages.
 .
 This package provides some files which are common to meta packages
 of Common Debian Distributions. It introduces a method to handle
 system users in a group named according to the name of the
 Custom Debian Distribution.

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # debian/rules for cdd-dev 
 # This file is public domain software, originally written by Andreas Tille.
 
-# $Id: rules,v 1.4 2004/04/15 21:53:37 kalfa Exp $
+# $Id: rules,v 1.6 2004/06/26 22:03:20 tille Exp $
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
@@ -24,6 +24,7 @@
 	dh_testdir
 	dh_testroot
 	dh_clean -k
+	dh_installdirs
 	dh_install
 
 # Build architecture-independent files here.
@@ -34,6 +35,7 @@
 	dh_installdocs
 	dh_installexamples
 	dh_installman
+	cp -a debian/lintian.overrides debian/cdd-common/usr/share/lintian/overrides/cdd-common
 	dh_link
 	dh_compress
 	dh_fixperms
@@ -52,6 +54,7 @@
 	mkdir $${distdir} ; \
 	chmod 777 $${distdir} ; \
 	rsync -a --exclude $${distdir} --exclude CVS * $${distdir} ; \
+	rm -f `find . -name "*~"` ; \
 	GZIP=-9 tar -czf ../cdd_`cat VERSION`.tar.gz $${distdir} ; \
 	rm -rf $${distdir}

=== examples/debian/rules ===
--- 
+++ 
@@ -4,6 +4,9 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+
+cdd=_CDD_
+pkgsrc=debian-$(cdd)
 
 control: gen-control debian/control.stub tasks/* control-stamp
 control-stamp:
@@ -14,6 +17,15 @@
 
 build: control-stamp build-stamp
 build-stamp:
+	# Fix *.dsc file to mention all binary targets
+	TASKS="" ; \
+	if [ -d common ] ; then TASKS="$(cdd)-common" ; fi ; \
+	for task in `ls -1 tasks | sort` ; do \
+		if [ "$${TASKS}" != "" ] ; then TASKS="$${TASKS}, " ; fi ; \
+		TASKS="$${TASKS}$(cdd)-$${task}" ; \
+	done ; \
+	sed "s/^\(Binary: \)$(cdd)/\1$${TASKS}/" ../$(pkgsrc)_*.dsc > tmp.dsc ; \
+	mv tmp.dsc ../$(pkgsrc)_*.dsc
 	dh_testdir
 
 	touch build-stamp
@@ -24,8 +36,8 @@
 	rm -f build-stamp control-stamp
 	rm -rf tmp
 	rm -f tasks/*~
-	[ -d menu ] && rm -f debian/_CDD_-*.post{inst,rm}
-	rm -f debian/med-common.{templates,config}
+	[ -d menu ] && rm -f debian/$(cdd)-*.post{inst,rm}
+	rm -f debian/$(cdd)-common.{templates,config,install} debian/90$(cdd)-common
 	rm -rf debian/po
 
 	if [ -f debian/control ] ; then dh_clean ; fi
@@ -39,12 +51,12 @@
 	dh_clean -k
 	dh_installdirs
 
+# Build architecture-dependent files here.
+binary-arch: build install
+# We have nothing to do by default.
+
 # Build architecture-independent files here.
 binary-indep: build install
-# We have nothing to do by default.
-
-# Build architecture-dependent files here.
-binary-arch: build install
 	dh_testdir
 	dh_testroot
 	dh_installdocs
@@ -58,6 +70,9 @@
 	dh_installcron
 	dh_installman
 	cdd-install-helper
+	# dh_install must be called after cdd-install-helper because
+	# some files which have to be copied are created in this call
+	dh_install
 	dh_installdebconf
 #	dh_installinfo
 	dh_installchangelogs 
@@ -73,5 +88,14 @@
 	dh_md5sums
 	dh_builddeb
 
+dist:
+	distdir=$(pkgsrc)-`cat VERSION` ; \
+	rm -rf $${distdir} ; \
+	mkdir $${distdir} ; \
+	chmod 777 $${distdir} ; \
+	rsync -a --exclude $${distdir} --exclude CVS * $${distdir} ; \
+	GZIP=-9 tar -czf ../$(pkgsrc)_`cat VERSION`.tar.gz $${distdir} ; \
+	rm -rf $${distdir}
+
 binary: binary-indep binary-arch
 .PHONY: build clean binary-indep binary-arch binary install

## cdd 0.3.10

=== debian/changelog ===
cdd (0.3.10) unstable; urgency=low

  * Andreas Tille
    - Fixed some man pages and examples
    - Fixed bugs which showed up in Debian-Junior packaging
      (work around missing final newlines in several places,
       fix problem with menu items which are not using '"'
       around the entries)
  * Guillem Jover
    - Added Catalan (ca) debconf translation.
  * Otavio Salvador
    - cdd-gen-control:
      o Add -D suport to cdd-gen-control to degrade dependencies to
        recommends; 
      o Add support for architecture dependent packages;
      o Add fallback to architecture independent packages so allow
        backward compatibility;
      o Add suport to tasksel based tasks;
    - task-files: added.
  * Adopted to findutils 4.2.22: specify the -maxdepth option before
    non-option arguments

 -- Andreas Tille <tille@debian.org>  Sat, 21 Aug 2004 09:06:13 +0200

cdd (0.3.9) experimental; urgency=low

  * Otavio Salvador
    - Move the project to Subversion.
  * Andreas Tille
    - Exclude .svn dirs in dist target of debian/rules
    - Removed Provides/Replaces/Conflicts: med-common-dev
      because this package vanished completely from the archive now
      and never reached stable.
    - Moved cdd-menu from /usr/lib/menu to /usr/share/menu
    - User menus now are created from installed dependency menus
      if they are not explicitely overriden by the meta package maintainer

 -- Andreas Tille <tille@debian.org>  Thu, 15 Jul 2004 11:13:22 +0200

=== debian/control ===
--- 
+++ 
@@ -10,9 +10,6 @@
 Architecture: all
 Section: devel
 Depends: debconf (>= 0.5)
-Provides: med-common-dev
-Replaces: med-common-dev
-Conflicts: med-common-dev
 Suggests: cdd-doc
 Description: Custom Debian Distributions common files for developing meta packages
  This package makes life easier when packaging meta packages.  Perhaps

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # debian/rules for cdd-dev 
 # This file is public domain software, originally written by Andreas Tille.
 
-# $Id: rules,v 1.6 2004/06/26 22:03:20 tille Exp $
+# $Id: rules 245 2004-07-11 15:55:25Z tille $
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
@@ -53,7 +53,12 @@
 	rm -rf $${distdir} ; \
 	mkdir $${distdir} ; \
 	chmod 777 $${distdir} ; \
-	rsync -a --exclude $${distdir} --exclude CVS * $${distdir} ; \
+	rsync -a --exclude $${distdir} --exclude CVS --exclude .svn --exclude svn-commit.tmp * $${distdir} ; \
+	sed "s/#VERSION#/`cat VERSION`/" $${distdir}/cdd-gen-control > cdd-gen-control.tmp ; \
+	mv cdd-gen-control.tmp $${distdir}/cdd-gen-control ; \
+	chmod 755 $${distdir}/cdd-gen-control ; \
+	ln -s sources.list.testing $${distdir}/sources.list ; \
+	ln -s control.stub $${distdir}/examples/debian/control ; \
 	rm -f `find . -name "*~"` ; \
 	GZIP=-9 tar -czf ../cdd_`cat VERSION`.tar.gz $${distdir} ; \
 	rm -rf $${distdir}

## cdd 0.3.11

=== debian/changelog ===
cdd (0.3.11) unstable; urgency=low

  * Fix problem with resulting *.dsc files that did not list the
    files that were actually created in the Binary line
  * No changes necessary Standards-Version: 3.6.2
  * Removed: Conflicts: med-common (<= 0.4); which was never released
    in stable
  * Because there is no direct use of debconf in the cdd package but
    debconf is used in the package builded using cdd-dev the ${misc:Depends}
    variable does not really work.  That's why we introduce an explicite
      Depends: debconf (>= 0.5) | debconf-2.0
  * Increased dependant menu version from 2.1.12 to 2.1.25
  * Adapted lintian.overrides to reflect the change in menu
    (files now in /usr/share/menu instead of /usr/lib/menu)

 -- Andreas Tille <tille@debian.org>  Sun, 25 Sep 2005 21:36:29 +0200

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,12 @@
 Maintainer: Andreas Tille <tille@debian.org>
 Uploaders: Petter Reinholdtsen <pere@debian.org>, Andreas Tille <tille@debian.org>, Cosimo Alfarano <kalfa@debian.org>
 Build-Depends-Indep: debhelper (>= 4.1.16)
-Standards-Version: 3.6.1.0
+Standards-Version: 3.6.2
 
 Package: cdd-dev
 Architecture: all
 Section: devel
-Depends: debconf (>= 0.5)
+Depends: debconf (>= 0.5) | debconf-2.0
 Suggests: cdd-doc
 Description: Custom Debian Distributions common files for developing meta packages
  This package makes life easier when packaging meta packages.  Perhaps
@@ -20,8 +20,7 @@
 Package: cdd-common
 Architecture: all
 Section: misc
-Depends: adduser, debconf (>= 0.5), menu (>= 2.1.12)
-Conflicts: med-common (<= 0.4)
+Depends: adduser, menu (>= 2.1.25), debconf (>= 0.5) | debconf-2.0
 Suggests: cdd-doc
 Description: Custom Debian Distributions common package
  This package builds the basic infra structure for meta packages.

## cdd 0.3.11.1

=== debian/changelog ===
cdd (0.3.11.1) unstable; urgency=low

  * Remove Bashism (source --> .)
    Closes: #394604 (of med-common, this bug did not really belong to
                     med-common but was caused by the bashism in cdd-common)
  * Standards-Version: 3.7.2 (no changes necessary)
  * Build-Depends: debhelper (>= 5)

 -- Andreas Tille <tille@debian.org>  Mon, 23 Oct 2006 07:46:58 +0200

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Section: devel
 Maintainer: Andreas Tille <tille@debian.org>
 Uploaders: Petter Reinholdtsen <pere@debian.org>, Andreas Tille <tille@debian.org>, Cosimo Alfarano <kalfa@debian.org>
-Build-Depends-Indep: debhelper (>= 4.1.16)
-Standards-Version: 3.6.2
+Build-Depends: debhelper (>= 5)
+Standards-Version: 3.7.2
 
 Package: cdd-dev
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -35,7 +35,8 @@
 	dh_installdocs
 	dh_installexamples
 	dh_installman
-	cp -a debian/lintian.overrides debian/cdd-common/usr/share/lintian/overrides/cdd-common
+	cp -a debian/cdd-common.lintian.overrides debian/cdd-common/usr/share/lintian/overrides/cdd-common
+	cp -a debian/cdd-dev.lintian.overrides    debian/cdd-dev/usr/share/lintian/overrides/cdd-dev
 	dh_link
 	dh_compress
 	dh_fixperms

=== examples/debian/rules ===
#!/usr/bin/make -f
# debian/rules for Debian-_CDD_.
# GNU copyright 2004 _CDD_Maintainer, GPL.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

cdd=_CDD_
pkgsrc=debian-$(cdd)

build: build-stamp
build-stamp:
	dh_testdir

	cdd-gen-control -s local -c -m -i -t
	#/usr/bin/docbook-to-man debian/meta-$(cdd).sgml > meta-$(cdd).1

	touch build-stamp

clean: debian/control tasks/* debian/control.stub
	dh_testdir
	dh_testroot
	rm -f build-stamp

	cdd-clean-helper

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

# Build architecture-dependent files here.
binary-arch: build install
# We have nothing to do by default.

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
	dh_installcron
	dh_installman
	cdd-install-helper
	dh_install
	dh_installdebconf
#	dh_installinfo
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

dist:
	distdir=$(pkgsrc)-`cat VERSION` ; \
	rm -rf $${distdir} ; \
	mkdir $${distdir} ; \
	chmod 777 $${distdir} ; \
	rsync -a --exclude $${distdir} --exclude CVS --exclude .svn * $${distdir} ; \
	ln -s control.stub $${distdir}/debian/control ; \
	GZIP=-9 tar -czf ../$(pkgsrc)_`cat VERSION`.tar.gz $${distdir} ; \
	rm -rf $${distdir}

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## cdd 0.4.4ubuntu1

=== debian/changelog ===
cdd (0.4.4ubuntu1) hardy; urgency=low

  [ James Westby ]
  * Cherry pick patch from upstream that fixes packages that don't need
    the cdd infrastructure at run time, for instance debian-edu (#190682)
    Those packages will have to rebuilt agaist the version in order to
    fix the problem.
    - As this change comes from upstream it can be dropped post release
      when we take the new version.
  * Add a sources.list.hardy to allow us to build on Ubuntu.

  [ Daniel Holbach ]
  * Modify Maintainer value to match the DebianMaintainerField
    specification.

 -- James Westby <james.westby@canonical.com>  Thu, 03 Apr 2008 18:27:16 +0100

cdd (0.4.4) unstable; urgency=low

  * Remove old useless comment in share/menu/cdd-menu
  * If there is no tasksel package wanted, just obtain the
    meta package prefix from the CDD short name
  * Make use of cdd-get-names also in cdd-gen-control script

 -- Andreas Tille <tille@debian.org>  Fri, 19 Oct 2007 16:12:51 +0200

cdd (0.4.3) unstable; urgency=low

  * Add a newline after adding config/control to debian/control
  * If a CDD provides an auto-apt helper name it CDD-config instead
    of CDD-common

 -- Andreas Tille <tille@debian.org>  Thu, 18 Oct 2007 20:14:16 +0200

cdd (0.4.2) unstable; urgency=low

  * Build-Depends: texlive-latex-base, texlive-latex-extra,
    texlive-fonts-recommended, texlive-latex-recommended
    Closes: #445777
  * debian/cdd-dev.lintian.overrides: Renamed common to config

 -- Andreas Tille <tille@debian.org>  Mon, 08 Oct 2007 12:02:41 +0200

cdd (0.4.1) unstable; urgency=low

  * Moved documentation package cdd-doc into same source package
  * Reworked debian/copyright
  * devtools/cdd-install-helper: If "Task:" keyword is missing in
    a task control file just do not put it into tasksel area under
    /usr/share/cdd/tasks/CDD

 -- Andreas Tille <tille@debian.org>  Fri, 31 Aug 2007 19:01:52 +0200

cdd (0.4) unstable; urgency=low

  * New upstream version that cdd-gen-control in favour of a newly
    adopted gen-control from Debian-Edu 0.821.
    (Please see the upstream changelog for all changes)
    Closes: #436831

 -- Andreas Tille <tille@debian.org>  Tue, 21 Aug 2007 20:56:39 +0200

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: cdd
 Priority: optional
 Section: devel
-Maintainer: Andreas Tille <tille@debian.org>
+Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
+XSBC-Original-Maintainer: Andreas Tille <tille@debian.org>
 Uploaders: Petter Reinholdtsen <pere@debian.org>, Andreas Tille <tille@debian.org>, Cosimo Alfarano <kalfa@debian.org>
-Build-Depends: debhelper (>= 5)
+Build-Depends: debhelper (>= 5), debiandoc-sgml, texlive-latex-base, texlive-latex-extra, texlive-latex-recommended, texlive-fonts-recommended
 Standards-Version: 3.7.2
 
 Package: cdd-dev
 Architecture: all
 Section: devel
-Depends: debconf (>= 0.5) | debconf-2.0
+Depends: debconf (>= 0.5) | debconf-2.0, make | build-essential
 Suggests: cdd-doc
 Description: Custom Debian Distributions common files for developing meta packages
  This package makes life easier when packaging meta packages.  Perhaps
@@ -30,3 +31,18 @@
  system users in a group named according to the name of the
  Custom Debian Distribution.
 
+Package: cdd-doc
+Architecture: all
+Suggests: www-browser, postscript-viewer
+Description: Custom Debian Distribution documentation
+ This paper is intended to people who are interested in the philosophy
+ of Custom Debian Distributions and the technique which is used to
+ manage those projects.
+ .
+ It is explained in detail why these are no forks from Debian but reside
+ completely inside the Debian GNU/Linux distribution and which
+ advantages can be gathered by this approach.  The concept of
+ meta-packages and user role based menus is explained.  In short: This
+ document describes why Custom Debian Distributions are important to
+ the vitality and quality of Debian.
+

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # debian/rules for cdd-dev 
 # This file is public domain software, originally written by Andreas Tille.
 
-# $Id: rules 245 2004-07-11 15:55:25Z tille $
+# $Id: rules 461 2007-09-01 06:51:48Z tille $
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
@@ -11,12 +11,16 @@
 build-stamp:
 	dh_testdir
 
+	cd doc; $(MAKE) html; $(MAKE) txt; $(MAKE) pdf
+
 	touch build-stamp
 
 clean:
 	dh_testdir
 	dh_testroot
 	rm -f build-stamp
+
+	cd doc; $(MAKE) clean
 
 	dh_clean
 
@@ -38,7 +42,7 @@
 	cp -a debian/cdd-common.lintian.overrides debian/cdd-common/usr/share/lintian/overrides/cdd-common
 	cp -a debian/cdd-dev.lintian.overrides    debian/cdd-dev/usr/share/lintian/overrides/cdd-dev
 	dh_link
-	dh_compress
+	dh_compress -X.pdf
 	dh_fixperms
 	dh_installdeb
 	dh_gencontrol
@@ -55,11 +59,8 @@
 	mkdir $${distdir} ; \
 	chmod 777 $${distdir} ; \
 	rsync -a --exclude $${distdir} --exclude CVS --exclude .svn --exclude svn-commit.tmp * $${distdir} ; \
-	sed "s/#VERSION#/`cat VERSION`/" $${distdir}/cdd-gen-control > cdd-gen-control.tmp ; \
-	mv cdd-gen-control.tmp $${distdir}/cdd-gen-control ; \
-	chmod 755 $${distdir}/cdd-gen-control ; \
-	ln -s sources.list.testing $${distdir}/sources.list ; \
-	ln -s control.stub $${distdir}/examples/debian/control ; \
+	ln -s sources.list.unstable $${distdir}/sources.list ; \
+	# ln -s control.stub $${distdir}/examples/debian/control ; \
 	rm -f `find . -name "*~"` ; \
 	GZIP=-9 tar -czf ../cdd_`cat VERSION`.tar.gz $${distdir} ; \
 	rm -rf $${distdir}

## cdd 0.5.3

=== devtools/Makefile ===
--- 
+++ 
@@ -18,7 +18,8 @@
 all: $(CDD)-tasks.desc debian/control
 
 debian/control: debian/control.stub debian/changelog tasks/* $(CONFIGCONTROL)
-	(cat debian/control.stub; \
+	(echo "XS-Comment: This file is autogenerated via "make -f debian/rules dist".  Do not edit!"; \
+	 cat debian/control.stub; \
 	 test -f config/control && ( cat config/control; echo ) ; \
 	$(GENCONTROL) -s $(TARGET_DIST) -D -c -m -i -A) > $@.new && mv $@.new $@
 
@@ -47,3 +48,10 @@
 	rm -f tasks/*~
 	rm -rf tasksel
 	rm -f packages.txt by_vote packages-sorted.txt
+
+distclean: clean
+	rm -f debian/control
+	rm -f $(CDD)-tasks.desc
+
+dist: $(CDD)-tasks.desc debian/control
+	make -f debian/rules get-orig-source

=== doc/Makefile ===
--- 
+++ 
@@ -27,7 +27,7 @@
 
 ## ----------------------------------------------------------------------
 # this can and will be overriden by a higher level makefile
-PUBLISHDIR := tille@people.debian.org:public_html/debian-med/talks/paper-cdd
+PUBLISHDIR := tille@people.debian.org:public_html/cdd
 
 # There is no difference between letter and a4, but a2 for instance works
 PAPERSIZE  := letter
@@ -62,23 +62,15 @@
 		debiandoc2info -l $(doc_lang) $^
 
 publish: 	$(doc_html)/index.html
-		rsync --rsh="ssh -i ${HOME}/.ssh/id_dsa-debian" -azult --delete $(doc_html) $(PUBLISHDIR)
-		[ -s debian-cdd.en.pdf ] && rsync --rsh="ssh -i ${HOME}/.ssh/id_dsa-debian" -azult $(doc_pdf) $(PUBLISHDIR)
+		rsync --rsh="ssh -i ${HOME}/.ssh/id_rsa-debian" -azult --delete $(doc_html)/* $(PUBLISHDIR)
+		[ -s debian-cdd.en.pdf ] && rsync --rsh="ssh -i ${HOME}/.ssh/id_rsa-debian" -azult $(doc_pdf) $(PUBLISHDIR)
 
 clean:
 		$(RMR) $(doc_html) $(doc_pdf) $(doc_txt) $(doc_ps) $(doc_dvi) $(doc_info)
 		$(RMR) $(doc_name).$(doc_lang).tpt $(doc_name).$(doc_lang).out
 		find . -name "*~" -exec $(RMR) \{\} \;
 
-dist:
-	target=$(pkg)-`cat VERSION` ; \
-	mkdir -p $${target} ; \
-	rsync -azult Makefile *.sgml en debian --exclude=CVS --exclude=.svn $${target} ; \
-	GZIP=-9 tar -czf $(pkg)_`cat VERSION`.tar.gz $${target} ; \
-	rm -rf $${target}
-
 distclean:
 		make clean
-		rm -f $(pkg)_`cat VERSION`.tar.gz
 
 .PHONY: all publish clean distclean validate

=== debian/changelog ===
cdd (0.5.3) unstable; urgency=low

  * Avoid rsync to build dist target
    Closes: #488262
  * Standards-Version: 3.8.0 (no changes necessary)
  * Make use of dh_lintian to install overrides
  * Lintian prefers spelling "metapackage" over meta package
    on the other hand my dictionary claims metapackage wrong
    and votes for meta-package.  I used the lintian clean
    spelling suggestion but we need some agreement about a
    consistent spelling ...

 -- Andreas Tille <tille@debian.org>  Mon, 30 Jun 2008 13:29:11 +0200

cdd (0.5.2) unstable; urgency=low

  [ Jonas Smedegaard ]
  * Changed the Maintainer to Custom Debian Distribution Team
    ( s/List/Team/ )
  * Add myself as uploader.

  [ Andreas Tille ]
  * Debhelper (>= 6.0.7): Rationale: We are using dh_lintian which
    is only available from this version on.  This is actually not needed
    to build the cdd-common or cdd-dev package, but it makes perfectly
    sense to build with the same debhelper version as cdd-dev will
    finally depend from
  * share/menu/cdd-menu: verify that /etc/cdd/cdd.conf exists before
    sourcing it because since menu 2.1.39 supports triggers on
    /usr/{lib,share}/menu update-menus is called on every touch of
    these directory and because we have no safe way to ensure that
    /etc/cdd/cdd.conf is unpackaged before cdd-menu we have to work
    around the not yet available config file.  Even if I regard this
    as a bug in menu, we have to handle this here vor the moment.
    Closes: #484167

 -- Andreas Tille <tille@debian.org>  Mon, 05 May 2008 12:56:37 +0200

cdd (0.5.1) unstable; urgency=low

  * Changed the Maintainer to Custom Debian Distribution List
    <debian-custom@lists.debian.org>
  * Move debian/README.source into every meta package in case such
    a file exists
    Closes: #479249
  * added dh_lintian
    Closes: #479248

 -- Andreas Tille <tille@debian.org>  Sun, 04 May 2008 09:41:03 +0200

cdd (0.5.0) unstable; urgency=low

  * Removed VERSION file (which is hard to maintain) and
    teach debian/rules to obtain version from debian/changelog
    to build dist target
  * devtools/rules:
    - Added dist target to build source distribution tarball
  * debian/rules:
    several fixes to make use of make variables instead of
    shell variables
  * The source tarball of a CDD is now builded with prebuilded
    debian/control file and is not rebuilded per package build
    process.
  * Added "dist" target to devtools/Makefile which builds
    "get-orig-source" target of devtools/rules.  If CDDs
    build their source tarball using these tools nothing
    has to be cleaned in build process
    Closes: #468346

 -- Andreas Tille <tille@debian.org>  Fri, 07 Mar 2008 13:23:33 +0100

cdd (0.4.8) unstable; urgency=low

  * Small fix to allow more than one binary package in control.stub
  * Added myself to uploaders.

 -- José L. Redrejo Rodríguez <jredrejo@debian.org>  Tue, 26 Feb 2008 14:07:45 +0100

cdd (0.4.7) unstable; urgency=low

  * devtools/rules:
    - Added '-a' / '-i' options to binary-{arch,indep} targets
    - Added a test whether we build for arch all or any around
      cdd-install-helper which is rather a quick hack than a
      real solution but works.  More discussion about what is
      needed has to be done.
  * debian/control: Build-Depends -> Build-Depends-Indep
  * templates/post{inst,rm}: Check existence of CDD configuration
    files before executing user menu code.  If no such config
    files exist there is no need to run this code

 -- Andreas Tille <tille@debian.org>  Tue, 19 Feb 2008 11:24:50 +0100

cdd (0.4.6) unstable; urgency=low

  * Fixed Vcs-Browser, Vcs-Svn (Thanks to Thijs Kinkhorst
    <thijs@debian.org>)
  * Fix templates/post{inst,rm} to check for files from
    cdd-common before accessing them

 -- Andreas Tille <tille@debian.org>  Thu, 14 Feb 2008 18:08:57 +0100

cdd (0.4.5.1) unstable; urgency=low

  * devtools/rules: Also build binary-arch packages because
    Debian Edu needs this to have correct dependencies on all
    available architectures.

 -- Andreas Tille <tille@debian.org>  Fri, 25 Jan 2008 08:55:59 +0100

cdd (0.4.5) unstable; urgency=low

  * Add debconf templates for better menu handling
  * Regard CDD-config.postinst.stub if user provides such a file
  * share/cdd/unixgroups/cdd-actions: verify whether a group
    that should be added just exists
  * share/menu/cdd-menu: Prepend "!C menu-1" before each menu entry
    that does not contain a "!C" line to enable menu entries in
    menu-2 format
  * Added Vcs-Browser and Vcs-SVN tags
  * Standards-Version: 3.7.3 (no changes needed)
  * devtools/cdd-install-helper: removed bashism
  * devtools/rules: removed bashisms

 -- Andreas Tille <tille@debian.org>  Sat, 20 Oct 2007 12:22:55 +0200

=== debian/control ===
Source: cdd
Priority: optional
Section: devel
Maintainer: Custom Debian Distribution Team <debian-custom@lists.debian.org>
Uploaders: Petter Reinholdtsen <pere@debian.org>,
 Andreas Tille <tille@debian.org>,
 Cosimo Alfarano <kalfa@debian.org>,
 José L. Redrejo Rodríguez <jredrejo@debian.org>,
 Jonas Smedegaard <dr@jones.dk>
Build-Depends: debhelper (>= 6.0.7)
Build-Depends-Indep: debiandoc-sgml, texlive-latex-base, texlive-latex-extra, 
 texlive-latex-recommended, texlive-fonts-recommended
Standards-Version: 3.8.0
Vcs-Browser: http://svn.debian.org/wsvn/cdd/cdd/trunk/cdd/?rev=0&sc=0
Vcs-Svn: svn://svn.debian.org/cdd/cdd/trunk/cdd/

Package: cdd-dev
Architecture: all
Section: devel
Depends: debconf (>= 0.5) | debconf-2.0, make | build-essential, apt,
 debhelper (>= 6.0.7)
Suggests: cdd-doc
Description: Custom Debian Distributions common files for developing metapackages
 This package makes life easier when packaging metapackages.  Perhaps
 this will also encourage other people to build metapackages if there are
 easy to use templates where only the packages, the metapackage is depending
 from, to insert into the right place.

Package: cdd-common
Architecture: all
Section: misc
Depends: adduser, menu (>= 2.1.25), debconf (>= 0.5) | debconf-2.0
Suggests: cdd-doc
Description: Custom Debian Distributions common package
 This package builds the basic infra structure for metapackages.
 .
 This package provides some files which are common to metapackages
 of Common Debian Distributions. It introduces a method to handle
 system users in a group named according to the name of the
 Custom Debian Distribution.

Package: cdd-doc
Architecture: all
Section: doc
Suggests: www-browser, postscript-viewer
Description: Custom Debian Distribution documentation
 This paper is intended to people who are interested in the philosophy
 of Custom Debian Distributions and the technique which is used to
 manage those projects.
 .
 It is explained in detail why these are no forks from Debian but reside
 completely inside the Debian GNU/Linux distribution and which
 advantages can be gathered by this approach.  The concept of
 metapackages and user role based menus is explained.  In short: This
 document describes why Custom Debian Distributions are important to
 the vitality and quality of Debian.

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for cdd-dev 
# This file is public domain software, originally written by Andreas Tille.

# $Id: rules 581 2008-03-02 11:52:34Z tille $

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

VERSION := $(shell grep '^cdd *(.\+)' debian/changelog | head -n 1 | sed 's/^cdd \+(\(.\+\)) .*/\1/' )
DISTDIR := cdd-$(VERSION)

build: build-stamp
build-stamp:
	dh_testdir

	cd doc; $(MAKE) html; $(MAKE) txt; $(MAKE) pdf

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	cd doc; $(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	dh_install

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_lintian
	dh_link
	dh_compress -X.pdf
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch: build install
# We have nothing to do by default.

dist:
	if [ ! -f debian/changelog ] ; then \
	    echo "File debian/changelog is missing. Something is wrong!" ; \
	    exit -1 ; \
	fi
	if [ "$(VERSION)" = "" ] ; then \
	    echo "Unable to obtain version number from debian/changelog. Something is wrong!" ; \
	    exit -1 ; \
	fi ;
	rm -rf $(DISTDIR)
	mkdir $(DISTDIR)
	chmod 777 $(DISTDIR)
	rsync -a --exclude $(DISTDIR) --exclude CVS --exclude .svn --exclude svn-commit.tmp * $(DISTDIR)
	ln -sf sources.list.unstable $(DISTDIR)/sources.list
	# ln -s control.stub $(DISTDIR)/examples/debian/control
	rm -f `find . -name "*~"`
	GZIP=-9 tar -czf ../cdd_$(VERSION).tar.gz $(DISTDIR)
	rm -rf $(DISTDIR)

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## cdd 0.5.6

=== doc/Makefile ===
--- 
+++ 
@@ -27,7 +27,7 @@
 
 ## ----------------------------------------------------------------------
 # this can and will be overriden by a higher level makefile
-PUBLISHDIR := tille@people.debian.org:public_html/cdd
+PUBLISHDIR := alioth.debian.org:/srv/alioth.debian.org/chroot/home/groups/cdd/htdocs/cdd
 
 # There is no difference between letter and a4, but a2 for instance works
 PAPERSIZE  := letter
@@ -61,9 +61,9 @@
 info $(doc_info): $(doc_sgml)
 		debiandoc2info -l $(doc_lang) $^
 
-publish: 	$(doc_html)/index.html
-		rsync --rsh="ssh -i ${HOME}/.ssh/id_rsa-debian" -azult --delete $(doc_html)/* $(PUBLISHDIR)
-		[ -s debian-cdd.en.pdf ] && rsync --rsh="ssh -i ${HOME}/.ssh/id_rsa-debian" -azult $(doc_pdf) $(PUBLISHDIR)
+publish: 	html pdf
+		rsync -azult --delete $(doc_html)/* $(PUBLISHDIR)
+		[ -s debian-cdd.en.pdf ] && rsync -azult $(doc_pdf) $(PUBLISHDIR)
 
 clean:
 		$(RMR) $(doc_html) $(doc_pdf) $(doc_txt) $(doc_ps) $(doc_dvi) $(doc_info)

=== debian/changelog ===
cdd (0.5.6) unstable; urgency=low

  * doc/Makefile: publish target now enables moving the docs to
    http://cdd.alioth.debian.org/cdd instead of
    people.debian.org/~tille/cdd
  * share/cdd/unixgroups/cdd-actions: Do not fail if there are
    NIS users on this machine.  These will just be ignored.
    Closes: #491680

 -- Andreas Tille <tille@debian.org>  Sun, 13 Jul 2008 13:45:32 +0200

cdd (0.5.5) unstable; urgency=low

  * New task header Metapackage to make it possible to disable the
    generation of a binary package with dependencies (and only get a
    tasksel task).

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 11 Jul 2008 22:08:11 +0200

cdd (0.5.4) unstable; urgency=low

  * Added patch from Petter Reinholdtsen <pere@hungry.com> to enable
    Enhances feature for tasksel.
    Closes: #489811
  * Better Debconf template for user menus which avoids lintian warnings
    in CDD metapackages.

 -- Andreas Tille <tille@debian.org>  Tue, 08 Jul 2008 10:40:42 +0200

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # debian/rules for cdd-dev 
 # This file is public domain software, originally written by Andreas Tille.
 
-# $Id: rules 581 2008-03-02 11:52:34Z tille $
+# $Id: rules 915 2008-07-03 07:26:48Z tille $
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
